/* Insert dynamically assigned IP to Kali.cfg   */

/* const                                        */
	KaliConfigFile    = "Kali.cfg"
	KaliNewConfigFile = "KaliNew.cfg"
	parse source os2const fromwhere MyName 
	"@echo off"
	
	

/* Load Rexx utility functions                  */
	call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
	call SysLoadFuncs

/* Determine IP address                         */
	arg option
	select
		when option = "HOST" then
		do
			Hostname = linein()
			if Hostname > "" then
			do
				"host " Hostname " | " MyName " IP"
			end
			else
			do
				say "no hostname found"
			end
			exit
		end

		when option = "IP" then
		do
			IpStr = linein()
			MyIp = right(IpStr, length(IpStr) - pos('=',IpStr) - 1)

			/* now replace my_ip line in kali.cfg */
			foundMyIp = 0
			call checkresult lineout(KaliNewConfigFile,,1)
			do while lines(KaliConfigFile) > 0
				CFGLine = linein(KaliConfigFile)
				parse upper value left(CFGLine,5) with Token
				if Token = "MY_IP" then
				do
					foundMyIP = 1
					call checkresult lineout(KaliNewConfigFile,"my_ip = "MyIp)
				end
				else
				do
      					call checkresult lineout(KaliNewConfigFile,CFGLine)
				end
			end
			call checkresult lineout(KaliNewConfigFile)
			call checkresult lineout(KaliConfigFile)

			/* New Config File was created - delete old one and rename */
			if foundMyIP=1 then
			do
				"del " KaliConfigFile
				"ren " KaliNewConfigFile KaliConfigFile
				say KaliConfigFile "is updated to IP" MyIP
			end
			else
			do
				say 'Could not find line "my_ip" in ' KaliConfigFile '!'
				"del " KaliNewConfigFile
			end
		end

		otherwise
		do
			if stream(KaliConfigFile,'c','query exists') > "" then
			do
				"hostname | " MyName " HOST"
			end
			exit
		end
	end
exit

checkresult:
	arg result
	if result > 0 then
	do
		say "Error while writing to " KaliNewConfigFile
		exit
	end
return
